%bcond_without tests

Summary:        World Timezone Definitions for Python
Name:           pytz
Version:        2022.7.1
Release:        6%{?dist}
License:        MIT
URL:            http://pytz.sourceforge.net/
Source0:        %pypi_source
Patch3000:      pytz-zoneinfo.patch
Patch3001:      remove_tzinfo_test.patch

BuildArch:      noarch                                                                                                                              
BuildRequires:  tzdata

%global _description\
pytz brings the Olson tz database into Python. This library allows accurate\
and cross platform timezone calculations using Python 2.3 or higher. It\
also solves the issue of ambiguous times at the end of daylight savings,\
which you can read more about in the Python Library Reference\
(datetime.tzinfo).Almost all (over 540) of the Olson timezones are supported.

%description %_description

%package -n python3-%{name}
Summary:        %summary
BuildRequires:  python3-devel  python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest
%endif
Requires:       tzdata

%description -n python3-%{name} %_description

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/pytz/zoneinfo


%if %{with tests}
%check
%pytest -v
%endif

%files -n python3-pytz
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info/


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.7.1-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.7.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.7.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 01 2023 Feng Weiyao <wynnfeng@tencent.com> - 2022.7.1-1
- update to 2022.7.1

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 2021.3-1
- package init.